Bug 16529 - Kernel didn't use the correct Ethernet driver
Summary: Kernel didn't use the correct Ethernet driver
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-18 13:02 UTC by R. James Cross, Jr.
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 01:14:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R. James Cross, Jr. 2000-08-18 13:02:19 UTC
I upgraded from v 6.0 to 6.2. On booting the upgrade, the installation of the Ethernet driver failed, and I had no internet
support. I have a 3Com 3c905C-TXM card, requiring the 3c59x.c driver. I fixed the problem by recompiling the kernel,
putting the 3c59x driver direclty into the kernel and removing all the other 3Com drivers. I conclude that the software supports
the card, but the routine that recognizes it tries to use the wrong driver.

After rebuilding the kernel I found that the new kernel would not support the Open Sound System; it would not mount the DOS
partition; and the NFL lock daemon did not install. Following suggestions from OSS, I deleted modversions.h and all the files
in /usr/src/linux/include/linux/modules, did a make clean and proceeded. This rebuild fixed all the above problems. I conclude
that the original rebuild failed to update one or more files that were needed.

Comment 1 Pekka Savola 2000-08-18 13:13:35 UTC
lspci and/or 'lspci -n' output regarding the NIC would probably be of help.


Comment 2 Bill Nottingham 2000-08-18 15:09:49 UTC
The problem with OSS and lockd sounds like a problem with your
kernel build; perhaps you didn't do 'make mproper' before rebuilding?


Note You need to log in before you can comment on or make changes to this bug.